# TODO:
# - handle ip*tables_{init,removeall} in PLD init script? (see bundled one)
# - switch to nft (--firewall=nftables, BR: libnftnl-devel instead of iptables-devel)?
Summary:	Small UPnP Daemon
Summary(pl.UTF-8):	Mały demon UPnP
Name:		miniupnpd
Version:	2.3.0
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	http://miniupnp.tuxfamily.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	053a196ac7ba59e275e249d4173d6890
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
URL:		http://miniupnp.tuxfamily.org/
BuildRequires:	iptables-devel >= 1.4.3
BuildRequires:	libcap-ng-devel
BuildRequires:	libmnl-devel >= 1.0.3
BuildRequires:	libnetfilter_conntrack-devel >= 1.0.2
BuildRequires:	libuuid-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post):	libuuid
Requires(post):	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	iptables-libs >= 1.4.3
Requires:	libmnl >= 1.0.3
Requires:	libnetfilter_conntrack >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Small UPnP Daemon.

%description -l pl.UTF-8
Mały demon UPnP.

%prep
%setup -q

%build
./configure \
	--firewall=iptables \
	--ipv6

CPPFLAGS="%{rpmcppflags}" \
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make} -j1 \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	STRIP=:

# replace init script and config file by PLD specific ones
%{__rm} -r $RPM_BUILD_ROOT/etc/init.d
install -Dp %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -Dp %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/miniupnpd/uuid ]; then
	echo "Generating UPnP uuid..."
	umask 077
	uuidgen > %{_sysconfdir}/miniupnpd/uuid
fi

if [ -f %{_sysconfdir}/miniupnpd/uuid ]; then
	UUID=`cat %{_sysconfdir}/miniupnpd/uuid`
	if [ -n "$UUID" ] ; then
		echo "Updating UUID in miniupnpd config file..."
		%{__sed} -i -e "s/^uuid=[-0-9a-f]*/uuid=`cat %{_sysconfdir}/miniupnpd/uuid`/" %{_sysconfdir}/miniupnpd/miniupnpd.conf
	fi
fi

/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc Changelog.txt LICENSE README
%attr(755,root,root) %{_sbindir}/miniupnpd
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.conf
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/ip6tables_init.sh
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/ip6tables_removeall.sh
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/iptables_init.sh
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/iptables_removeall.sh
%{_sysconfdir}/%{name}/miniupnpd_functions.sh
%{_mandir}/man8/miniupnpd.8*
%changelog
* Sun Jul 10 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/miniupnpd.git;a=log;h=master

* Sun Jul 10 2022 Jakub Bogusz <qboosh@pld-linux.org> f16ff1c
- updated to 2.3.0
- removed obsolete netfilter patch

* Thu Aug 29 2019 Jan Rękorajski <baggins@pld-linux.org> 177e414
- release 3 (by relup.sh)

* Wed Aug 28 2019 Jan Rękorajski <baggins@pld-linux.org> 35921c4
- release 2 (by relup.sh)

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> b5830ac
- updated to 2.1
- added netfilter patch (fix build with recent netfilter headers, with NFC_* constants removed)

* Sun Apr 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 1879fae
- updated to 2.0

* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 1363d5c
- added man page, release 3

* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> ed066d6
- release 2

* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 690f7f3
- build seems racy, use make -j1

* Tue Feb 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 322a58c
- updated to 1.7
- fixed build with iptables >= 1.4.3
- added try-restart action to init script

* Sun Mar 29 2009 Elan Ruusamäe <glen@pld-linux.org> 3c1216d
- up to 1.2, still doesn't compile

* Thu May 17 2007 Jakub Bogusz <qboosh@pld-linux.org> d19e859
- use optflags

* Wed May 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 1993d69
- pl
- sane paths

* Mon Apr 30 2007 aredridel <aredridel@pld-linux.org> 4c64a32
- added

* Mon Apr 30 2007 aredridel <aredridel@pld-linux.org> 537523f
- added

* Mon Apr 30 2007 aredridel <aredridel@pld-linux.org> e843faa
- added

